.. currentmodule:: sardana.taurus.qt.qtcore.tango.sardana.macroserver

=================
Taurus Extensions
=================

.. rubric:: Functions

.. hlist::
    :columns: 3

    * :func:`registerExtensions`

.. rubric:: Classes

.. hlist::
    :columns: 4

    * :class:`QDoor`
    * :class:`QMacroServer`

.. autofunction:: registerExtensions

QDoor
-----

.. inheritance-diagram:: QDoor
    :parts: 1

.. autoclass:: QDoor
    :show-inheritance:
    :members:
    :undoc-members:

QMacroServer
------------

.. inheritance-diagram:: QMacroServer
    :parts: 1

.. autoclass:: QMacroServer
    :show-inheritance:
    :members:
    :undoc-members:
